@import "./src/styles/_abstracts/_variables.scss";
@import "./src/styles/_abstracts/_mixins.scss";

.header {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 23px;
}

.header__dropdown-menu-wrapper {
  position: relative;
  width: 100%;
  height: 37px;

  img {
    position: absolute;
    top: 0;
    right: 0;
  }

  @media (min-width: $tablet-bp) {
    display: none;
  }
}


.header__dropdown-menu {
  @include flex-between;
  position: absolute;
  top: 37px;
  right: 0;
  flex-direction: column;
  width: 182px;
  background-color: #F5F5F5;
  margin-bottom: 23px;

  li {
    height: 32px;
    padding-left: 13px;

    &:hover {
      background-color: #E5E5E5;
    }

    a:focus {
      color: $hover-color;
    }
  }

}


.header__link {
  display: flex;
  font-size: 11px;
  line-height: 32px;
  letter-spacing: 1.1px;
  text-transform: uppercase;
  color: $primary-text-color;
}


.header__nav-menu {
  @include flex-between;
  align-items: center;
  width: 80%;
  height: 55px;
  margin-bottom: 23px;

  li {
    a:hover {
      color: $hover-color;
    }
  }

  @media (max-width: $tablet-bp) {
    display: none;
  }
}

.header__main-img {
  width: 100%;

  img {
    width: 100%;
  }
}




